REGULATOR_SET_VOLTAG(9)

NAME
regulator_set_voltage_time_sel - get raise/fall time

SYNOPSIS

int regulator_set_voltage_time_sel(struct regulator_dev * rdev, unsigned int old_selector, unsigned int new_selector);

ARGUMENTS

rdev
    regulator source device

old_selector
    selector for starting voltage

new_selector
    selector for target voltage

DESCRIPTION

Provided with the starting and target voltage selectors, this function returns time in microseconds required to rise or fall to this new voltage

Drivers providing ramp_delay in regulation_constraints can use this as their set_voltage_time_sel operation.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT